Mistral AI
import { Render } from "~/components";
Mistral AI helps you build quickly with Mistral's advanced AI models.
Endpoint
https://gateway.ai.cloudflare.com/v1/{account_id}/{gateway_id}/mistral
Prerequisites
When making requests to the Mistral AI, you will need:
- AI Gateway Account ID
- AI Gateway gateway name
- Mistral AI API token
- Mistral AI model name
URL structure
Your new base URL will use the data above in this structure: https://gateway.ai.cloudflare.com/v1/{account_id}/{gateway_id}/mistral/.
Then you can append the endpoint you want to hit, for example: v1/chat/completions
So your final URL will come together as: https://gateway.ai.cloudflare.com/v1/{account_id}/{gateway_id}/mistral/v1/chat/completions.
Examples
cURL
curl -X POST https://gateway.ai.cloudflare.com/v1/{account_id}/{gateway_id}/mistral/v1/chat/completions \
--header 'content-type: application/json' \
--header 'Authorization: Bearer MISTRAL_TOKEN' \
--data '{
"model": "mistral-large-latest",
"messages": [
{
"role": "user",
"content": "What is Cloudflare?"
}
]
}'
Use @mistralai/mistralai package with JavaScript
If you are using the @mistralai/mistralai package, you can set your endpoint like this:
import { Mistral } from "@mistralai/mistralai";
const client = new Mistral({
apiKey: MISTRAL_TOKEN,
serverURL: `https://gateway.ai.cloudflare.com/v1/{account_id}/{gateway_id}/mistral`,
});
await client.chat.create({
model: "mistral-large-latest",
messages: [
{
role: "user",
content: "What is Cloudflare?",
},
],
});
<Render
file="chat-completions-providers"
product="ai-gateway"
params={{
name: "Mistral",
jsonexample: { "model": "mistral/{model}" }
}}
/>
这篇文档对你有帮助吗?
谢谢你的反馈!